<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>GroovyCompileOptions (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GroovyCompileOptions (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompile.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/compile/GroovyCompileOptions.html" target="_top">Frames</a></li>
<li><a href="GroovyCompileOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.compile</div>
<h2 title="Class GroovyCompileOptions" class="title">Class GroovyCompileOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">org.gradle.api.tasks.compile.AbstractOptions</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.compile.GroovyCompileOptions</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GroovyCompileOptions</span>
extends <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></pre>
<div class="block">Compilation options to be passed to the Groovy compiler.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../serialized-form.html#org.gradle.api.tasks.compile.GroovyCompileOptions">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#GroovyCompileOptions()">GroovyCompileOptions</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#excludeFromAntProperties(java.lang.String)">excludeFromAntProperties</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html" title="class in org.gradle.api.tasks.compile">GroovyCompileOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#fork(java.util.Map)">fork</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;forkArgs)</code>
<div class="block">Convenience method to set <a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><code>GroovyForkOptions</code></a> with named parameter syntax.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getConfigurationScript()">getConfigurationScript</a></strong>()</code>
<div class="block">A Groovy script file that configures the compiler, allowing extensive control over how the code is compiled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getEncoding()">getEncoding</a></strong>()</code>
<div class="block">Tells the source encoding.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getFileExtensions()">getFileExtensions</a></strong>()</code>
<div class="block">Returns the list of acceptable source file extensions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile">GroovyForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getForkOptions()">getForkOptions</a></strong>()</code>
<div class="block">Returns options for running the Groovy compiler in a separate process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getOptimizationOptions()">getOptimizationOptions</a></strong>()</code>
<div class="block">Returns optimization options for the Groovy compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getStubDir()">getStubDir</a></strong>()</code>
<div class="block">Returns the directory where Java stubs for Groovy classes will be stored during Java/Groovy joint
 compilation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isFailOnError()">isFailOnError</a></strong>()</code>
<div class="block">Tells whether the compilation task should fail if compile errors occurred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isFork()">isFork</a></strong>()</code>
<div class="block">Tells whether to run the Groovy compiler in a separate process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isJavaAnnotationProcessing()">isJavaAnnotationProcessing</a></strong>()</code>
<div class="block">Whether the Groovy code should be subject to Java annotation processing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isKeepStubs()">isKeepStubs</a></strong>()</code>
<div class="block">Tells whether Java stubs for Groovy classes generated during Java/Groovy joint compilation
 should be kept after compilation has completed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isListFiles()">isListFiles</a></strong>()</code>
<div class="block">Tells whether to print which source files are to be compiled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#isVerbose()">isVerbose</a></strong>()</code>
<div class="block">Tells whether to turn on verbose output.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#optionMap()">optionMap</a></strong>()</code>
<div class="block">Internal method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setConfigurationScript(java.io.File)">setConfigurationScript</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;configurationFile)</code>
<div class="block">Sets the path to the groovy configuration file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setEncoding(java.lang.String)">setEncoding</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Sets the source encoding.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setFailOnError(boolean)">setFailOnError</a></strong>(boolean&nbsp;failOnError)</code>
<div class="block">Sets whether the compilation task should fail if compile errors occurred.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setFileExtensions(java.util.List)">setFileExtensions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;fileExtensions)</code>
<div class="block">Sets the list of acceptable source file extensions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setFork(boolean)">setFork</a></strong>(boolean&nbsp;fork)</code>
<div class="block">Sets whether to run the Groovy compiler in a separate process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setForkOptions(org.gradle.api.tasks.compile.GroovyForkOptions)">setForkOptions</a></strong>(<a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile">GroovyForkOptions</a>&nbsp;forkOptions)</code>
<div class="block">Sets options for running the Groovy compiler in a separate process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setJavaAnnotationProcessing(boolean)">setJavaAnnotationProcessing</a></strong>(boolean&nbsp;javaAnnotationProcessing)</code>
<div class="block">Sets whether Java annotation processors should process annotations on stubs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setKeepStubs(boolean)">setKeepStubs</a></strong>(boolean&nbsp;keepStubs)</code>
<div class="block">Sets whether Java stubs for Groovy classes generated during Java/Groovy joint compilation
 should be kept after compilation has completed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setListFiles(boolean)">setListFiles</a></strong>(boolean&nbsp;listFiles)</code>
<div class="block">Sets whether to print which source files are to be compiled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setOptimizationOptions(java.util.Map)">setOptimizationOptions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt;&nbsp;optimizationOptions)</code>
<div class="block">Sets optimization options for the Groovy compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setStubDir(java.io.File)">setStubDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;stubDir)</code>
<div class="block">Sets the directory where Java stubs for Groovy classes will be stored during Java/Groovy joint
 compilation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#setVerbose(boolean)">setVerbose</a></strong>(boolean&nbsp;verbose)</code>
<div class="block">Sets whether to turn on verbose output.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.compile.AbstractOptions">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.compile.<a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#define(java.util.Map)">define</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#getAntPropertyName(java.lang.String)">getAntPropertyName</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#getAntPropertyValue(java.lang.String,%20java.lang.Object)">getAntPropertyValue</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GroovyCompileOptions()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GroovyCompileOptions</h4>
<pre>public&nbsp;GroovyCompileOptions()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isFailOnError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFailOnError</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isFailOnError()</pre>
<div class="block">Tells whether the compilation task should fail if compile errors occurred. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="setFailOnError(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFailOnError</h4>
<pre>public&nbsp;void&nbsp;setFailOnError(boolean&nbsp;failOnError)</pre>
<div class="block">Sets whether the compilation task should fail if compile errors occurred. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="isVerbose()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVerbose</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;boolean&nbsp;isVerbose()</pre>
<div class="block">Tells whether to turn on verbose output. Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="setVerbose(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVerbose</h4>
<pre>public&nbsp;void&nbsp;setVerbose(boolean&nbsp;verbose)</pre>
<div class="block">Sets whether to turn on verbose output. Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="isListFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isListFiles</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks">@Console</a>
public&nbsp;boolean&nbsp;isListFiles()</pre>
<div class="block">Tells whether to print which source files are to be compiled. Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="setListFiles(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListFiles</h4>
<pre>public&nbsp;void&nbsp;setListFiles(boolean&nbsp;listFiles)</pre>
<div class="block">Sets whether to print which source files are to be compiled. Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="getEncoding()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<div class="block">Tells the source encoding. Defaults to <code>UTF-8</code>.</div>
</li>
</ul>
<a name="setEncoding(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;void&nbsp;setEncoding(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<div class="block">Sets the source encoding. Defaults to <code>UTF-8</code>.</div>
</li>
</ul>
<a name="isFork()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFork</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isFork()</pre>
<div class="block">Tells whether to run the Groovy compiler in a separate process. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="setFork(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFork</h4>
<pre>public&nbsp;void&nbsp;setFork(boolean&nbsp;fork)</pre>
<div class="block">Sets whether to run the Groovy compiler in a separate process. Defaults to <code>true</code>.</div>
</li>
</ul>
<a name="getConfigurationScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurationScript</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#NONE">NONE</a>)
<a href="../../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks">@InputFile</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getConfigurationScript()</pre>
<div class="block">A Groovy script file that configures the compiler, allowing extensive control over how the code is compiled.
 <p>
 The script is executed as Groovy code, with the following context:
 </p>
 <ul>
 <li>The instance of <a href="http://docs.groovy-lang.org/latest/html/gapi/org/codehaus/groovy/control/CompilerConfiguration.html">CompilerConfiguration</a> available as the <code>configuration</code> variable.</li>
 <li>All static members of <a href="http://docs.groovy-lang.org/latest/html/gapi/org/codehaus/groovy/control/customizers/builder/CompilerCustomizationBuilder.html">CompilerCustomizationBuilder</a> pre imported.</li>
 </ul>
 <p>
 This facilitates the following pattern:
 </p>
 <pre>
 withConfig(configuration) {
   // use compiler configuration DSL here
 }
 </pre>
 <p>
 For example, to activate type checking for all Groovy classes…
 </p>
 <pre>
 import groovy.transform.TypeChecked

 withConfig(configuration) {
     ast(TypeChecked)
 }
 </pre>
 <p>
 Please see <a href="http://docs.groovy-lang.org/latest/html/documentation/#compilation-customizers">the Groovy compiler customization builder documentation</a>
 for more information about the compiler configuration DSL.
 </p>
 <p>
 <b>This feature is only available if compiling with Groovy 2.1 or later.</b>
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="http://docs.groovy-lang.org/latest/html/gapi/org/codehaus/groovy/control/CompilerConfiguration.html">CompilerConfiguration</a>, 
<a href="http://docs.groovy-lang.org/latest/html/gapi/org/codehaus/groovy/control/customizers/builder/CompilerCustomizationBuilder.html">CompilerCustomizationBuilder</a></dd></dl>
</li>
</ul>
<a name="setConfigurationScript(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationScript</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setConfigurationScript(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                                     <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;configurationFile)</pre>
<div class="block">Sets the path to the groovy configuration file.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html#getConfigurationScript()"><code>getConfigurationScript()</code></a></dd></dl>
</li>
</ul>
<a name="isJavaAnnotationProcessing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJavaAnnotationProcessing</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isJavaAnnotationProcessing()</pre>
<div class="block">Whether the Groovy code should be subject to Java annotation processing.
 <p>
 Annotation processing of Groovy code works by having annotation processors visit the Java stubs generated by the
 Groovy compiler in order to support joint compilation of Groovy and Java source.
 <p>
 When set to <code>true</code>, stubs will be unconditionally generated for all Groovy sources, and Java annotations processors will be executed on those stubs.
 <p>
 When this option is set to <code>false</code> (the default), Groovy code will not be subject to annotation processing, but any joint compiled Java code will be.
 If the compiler argument <code>"-proc:none"</code> was specified as part of the Java compile options, the value of this flag will be ignored.
 No annotation processing will be performed regardless, on Java or Groovy source.</div>
</li>
</ul>
<a name="setJavaAnnotationProcessing(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJavaAnnotationProcessing</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setJavaAnnotationProcessing(boolean&nbsp;javaAnnotationProcessing)</pre>
<div class="block">Sets whether Java annotation processors should process annotations on stubs.

 Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="getForkOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForkOptions</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile">GroovyForkOptions</a>&nbsp;getForkOptions()</pre>
<div class="block">Returns options for running the Groovy compiler in a separate process. These options only take effect
 if <code>fork</code> is set to <code>true</code>.</div>
</li>
</ul>
<a name="setForkOptions(org.gradle.api.tasks.compile.GroovyForkOptions)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForkOptions</h4>
<pre>public&nbsp;void&nbsp;setForkOptions(<a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile">GroovyForkOptions</a>&nbsp;forkOptions)</pre>
<div class="block">Sets options for running the Groovy compiler in a separate process. These options only take effect
 if <code>fork</code> is set to <code>true</code>.</div>
</li>
</ul>
<a name="getOptimizationOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptimizationOptions</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt;&nbsp;getOptimizationOptions()</pre>
<div class="block">Returns optimization options for the Groovy compiler. Allowed values for an option are <code>true</code> and <code>false</code>.
 Only takes effect when compiling against Groovy 1.8 or higher.

 <p>Known options are:

 <dl>
     <dt>indy
     <dd>Use the invokedynamic bytecode instruction. Requires JDK7 or higher and Groovy 2.0 or higher. Disabled by default.
     <dt>int
     <dd>Optimize operations on primitive types (e.g. integers). Enabled by default.
     <dt>all
     <dd>Enable or disable all optimizations. Note that some optimizations might be mutually exclusive.
 </dl></div>
</li>
</ul>
<a name="setOptimizationOptions(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOptimizationOptions</h4>
<pre>public&nbsp;void&nbsp;setOptimizationOptions(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt;&nbsp;optimizationOptions)</pre>
<div class="block">Sets optimization options for the Groovy compiler. Allowed values for an option are <code>true</code> and <code>false</code>.
 Only takes effect when compiling against Groovy 1.8 or higher.</div>
</li>
</ul>
<a name="getStubDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStubDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getStubDir()</pre>
<div class="block">Returns the directory where Java stubs for Groovy classes will be stored during Java/Groovy joint
 compilation. Defaults to <code>null</code>, in which case a temporary directory will be used.</div>
</li>
</ul>
<a name="setStubDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStubDir</h4>
<pre>public&nbsp;void&nbsp;setStubDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;stubDir)</pre>
<div class="block">Sets the directory where Java stubs for Groovy classes will be stored during Java/Groovy joint
 compilation. Defaults to <code>null</code>, in which case a temporary directory will be used.</div>
</li>
</ul>
<a name="getFileExtensions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileExtensions</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getFileExtensions()</pre>
<div class="block">Returns the list of acceptable source file extensions. Only takes effect when compiling against
 Groovy 1.7 or higher. Defaults to <code>ImmutableList.of("java", "groovy")</code>.</div>
</li>
</ul>
<a name="setFileExtensions(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileExtensions</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setFileExtensions(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;fileExtensions)</pre>
<div class="block">Sets the list of acceptable source file extensions. Only takes effect when compiling against
 Groovy 1.7 or higher. Defaults to <code>ImmutableList.of("java", "groovy")</code>.</div>
</li>
</ul>
<a name="isKeepStubs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isKeepStubs</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isKeepStubs()</pre>
<div class="block">Tells whether Java stubs for Groovy classes generated during Java/Groovy joint compilation
 should be kept after compilation has completed. Useful for joint compilation debugging purposes.
 Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="setKeepStubs(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeepStubs</h4>
<pre>public&nbsp;void&nbsp;setKeepStubs(boolean&nbsp;keepStubs)</pre>
<div class="block">Sets whether Java stubs for Groovy classes generated during Java/Groovy joint compilation
 should be kept after compilation has completed. Useful for joint compilation debugging purposes.
 Defaults to <code>false</code>.</div>
</li>
</ul>
<a name="fork(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fork</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/compile/GroovyCompileOptions.html" title="class in org.gradle.api.tasks.compile">GroovyCompileOptions</a>&nbsp;fork(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;forkArgs)</pre>
<div class="block">Convenience method to set <a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><code>GroovyForkOptions</code></a> with named parameter syntax.
 Calling this method will set <code>fork</code> to <code>true</code>.</div>
</li>
</ul>
<a name="excludeFromAntProperties(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeFromAntProperties</h4>
<pre>protected&nbsp;boolean&nbsp;excludeFromAntProperties(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#excludeFromAntProperties(java.lang.String)">excludeFromAntProperties</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></code></dd>
</dl>
</li>
</ul>
<a name="optionMap()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>optionMap</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;optionMap()</pre>
<div class="block">Internal method.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html#optionMap()">optionMap</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractOptions.html" title="class in org.gradle.api.tasks.compile">AbstractOptions</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyCompile.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/compile/GroovyCompileOptions.html" target="_top">Frames</a></li>
<li><a href="GroovyCompileOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
